N=10^4;
d=randi([2,4]);
fprintf('Generating A a N-by-d-by-d 3D-array where \n');
fprintf('    A(k,:,:) are symmetric positive definite matrices\n')
fprintf('and N=%d, d=%d.\n',N,d)
A=fc_linalg3D.random.randnsympd(N,d); 

b=ones(d,1);
fprintf('Solving  A*X=b where b is the ones vector\n')
X=fc_linalg3D.solver.cholesky(A,b);
b1=fc_linalg3D.mtimes(A,X); % b1 is a N-by-d array
fprintf('Computes b1=A*X (must be the ones vector)\n')
fc_linalg3D.disp(b1);
fprintf('Computes E=|b1-b| (must be the ones vector)\n')
E=abs(b1-(b*ones(1,N)).');% Computes |A*X-b|
fc_linalg3D.disp(E);
fprintf('Error: %.4e\n',max(E(:)))
