N=10^4;
d=randi([2,4]);
fprintf('Generating A a N-by-d-by-d 3D-array where \n');
fprintf('    A(k,:,:) are symmetric positive definite matrices\n')
fprintf('and N=%d, d=%d\n',N,d)
A=fc_linalg3D.random.randnsympd(N,d); 

B=fc_linalg3D.random.randn(N,d,2); 
fprintf('Solving  A*X=B where B is a random N-by-d-by-2 3D-array\n')
X=fc_linalg3D.solver.cholesky(A,B);
fprintf('Computes B1=A*X\n')
B1=fc_linalg3D.mtimes(A,X); % B1 is a N-by-d-by-2 array
fprintf('Computes E=|B1-B| (must be the ones vector)\n')
E=abs(B1-B);% Computes |A*X-B|
fc_linalg3D.disp(E);
fprintf('Error: %.4e\n',max(E(:)))
